package ostate;

import ostate.util.properties.Properties;

/**
 * Represents single transition.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

class Transition<I> {

    private final IState<I> source;

    private final Class<? extends IState<I>> target;

    private final Properties properties;

    private final Runnable action;

    public Transition(IState<I> source, Class<? extends IState<I>> target, Properties properties, Runnable action) {
        this.source = source;
        this.target = target;
        this.properties = properties;
        this.action = action;
    }

    public IState<I> getSource() {
        return source;
    }

    public Class<? extends IState<I>> getTarget() {
        return target;
    }

    public Properties getProperties() {
        return properties;
    }

    public Runnable getAction() {
        return action;
    }
}
