package ostate.discriptions;

import ostate.annotations.State;
import ostate.IState;

/**
 * ORStateDiscriptor to be documented.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */
public class ORStateDiscriptor<S>
        extends StateDiscriptor<S> {

    private final Class<? extends IState<S>> entryPoint;

    public ORStateDiscriptor(String name,
                             Class<? extends IState<S>> parent,
                             Class<? extends IState<S>> entryPoint) {
        super(name, parent);
        this.entryPoint = entryPoint;
    }

    public ORStateDiscriptor(State state) {
        this(
                state.name(),
                (Class<? extends IState<S>>) state.parent(),
                (Class<? extends IState<S>>) state.entryPoint()
        );
    }

    public Class<? extends IState<S>> getEntryPoint() {
        return entryPoint;
    }
}
