package ostate.discriptions;

import ostate.IState;
import ostate.Event;

import java.lang.reflect.Method;
import java.util.*;

/**
 * Discriptor of State. Contains information about
 * position of state in a statechart.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */
abstract public class StateDiscriptor<S> {

    private final String name;

    private final Class<? extends IState<S>> parent;

    private final List<Handler> handlers = new ArrayList<Handler>();

    protected StateDiscriptor(String name, Class<? extends IState<S>> parent) {
        this.name = name;
        this.parent = parent;
    }

    public Class<? extends IState<S>> getParent() {
        return parent;
    }

    public String getName() {
        return name;
    }

    protected void addHandler(Class<? extends Event> event, Method handler) {
        handlers.add(new Handler(event, handler));
    }

    public List<Handler> getHandlers() {
        return handlers;
    }

}