package ostate.exceptions;

import ostate.IState;

/**
 * Indicates, that some state class does not implement the common
 * interface.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

public class StateDoesNotImplementException extends InvalidStateException {

    public final Class AI;

    public StateDoesNotImplementException(IState state, Class AI) {
        super("State does not implement the common interface", state.getClass());
        this.AI = AI;
    }

}
