package ostate.invoke;

import ostate.IState;

import java.lang.reflect.Method;


/**
 * DifferentResultsException to be documented.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

public class DifferentResultsException extends RuntimeException {

    public final IState state1;
    public final IState state2;
    public final Object result1;
    public final Object result2;

    public DifferentResultsException(IState state1, IState state2, Object result1, Object result2) {
        this.state1 = state1;
        this.state2 = state2;
        this.result1 = result1;
        this.result2 = result2;
    }

    public String toString() {
        return "Different resutls: " + state1 + " returned " +
                result1 + ", " + state2 + " returned " + result2;
    }

}
