package connection;

import ostate.StateMachineFactory;
import ostate.IStateMachine;
import ostate.impl.DefaultStateFactory;
import connection.states.Disconnected;
import connection.events.ConnectionError;

/**
 * Main to be documented.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

public class Main {

    public static void main(String[] args) {
        StateMachineFactory<Connection> smf =
                StateMachineFactory.newInstance();
        IStateMachine<Connection> sm =
                smf.createStateMachine(
                        Connection.class,
                        new DefaultStateFactory<Connection>(false));
        sm.changeState(Disconnected.class);
        ((Connection)sm).connect();
        sm.processEvent(new ConnectionError());
    }
}
