package test0.states;

import test0.AI;
import ostate.IState;
import ostate.IStateMachine;

/**
 * AbstractState to be documented.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

public abstract class AbstractState implements IState<AI>, AI {

    protected final IStateMachine<AI> sm;

    public AbstractState(IStateMachine<AI> sm) {
        this.sm = sm;
    }

    public void stateEntry() {
        System.out.println("Entry: " + getClass().getName());
    }

    public void stateExit() {
        System.out.println("Exit: " + getClass().getName());
    }

}
